Why Did Gmail Return 4.7.28 After Your IP Change?

You just swapped your mail server’s IP address—maybe after moving to a new hosting provider or scaling up your infrastructure—and now Gmail is rejecting your messages with code 4.7.28. You didn’t change anything in your setup. So why is this happening?

It’s not a misconfiguration. It’s not your DNS. The error means Gmail’s systems don’t yet trust your new IP. Even a clean change triggers a reputation reset. Gmail treats every new IP as unproven until it builds trust through consistent sending behavior, engagement, and history.

You're not alone. This happens routinely when moving from shared environments to dedicated servers, or when rotating IPs during infrastructure upgrades. The same systems that protect Gmail users from spam also temporarily block the sender they don’t yet know.

Key takeaways

  • A 4.7.28 error after an IP change indicates Gmail’s reputation systems haven’t yet evaluated your new IP as trustworthy.
  • Gmail assesses new IPs based on sender reputation, historical engagement, and IP history—not just technical setup.
  • Even temporary IP changes require a new reputation assessment, often causing deferred or rejected deliveries until trust is built.

What Does Gmail 4.7.28 Actually Mean?

SMTP error 4.7.28 means Gmail temporarily deferred your message due to a sender reputation issue, not because the recipient email is invalid. It’s a transient rejection—Gmail will retry delivery later. This often happens when your IP address is new, recently changed, or still building reputation, especially during warm-up, migration, or switching from a shared to a dedicated server.

It’s Not a Bounce—It’s a Delay

You might see 4.7.28 after sending to Gmail, but the email wasn’t rejected outright. Gmail marked it for retry, following its internal delivery policy. Unlike a hard bounce, this doesn’t signal a dead address. It signals a sender-side signal—your IP or domain might be under scrutiny.

Let’s be clear: this error is not about the mailbox. It’s about your sending behavior and the perceived trustworthiness of your IP. If your IP has no sending history or has recently changed, Gmail applies a temporary hold. This is standard behavior. The SMTP RFC 5321 defines 4.x.x codes as temporary failures, and 4.7.28 specifically indicates a temporary delivery delay due to sender-side issues, not address invalidity.

Common Triggers for 4.7.28

You’ll most commonly see this during IP warm-up, after switching email providers, or when migrating domains. A new or rebranded sending IP lacks historical trust. Gmail may delay delivery to assess sending patterns, volume, and authentication setup.

Shared IP ranges often trigger this when a single sender’s poor practices impact others. Switching to a dedicated IP requires warming up carefully—sudden spikes in volume can lead to deferrals like 4.7.28. The key is consistency, low volume ramps, and strong authentication (SPF, DKIM, DMARC).

If you’ve just changed IPs, don’t assume the message failed. Check mail server logs for retry attempts. Gmail typically retries over hours or days, depending on policy. Tools like inbox placement testing can help you see not just delivery, but whether your message lands in the inbox or spam folder when it eventually arrives.

Preventing recurring 4.7.28 errors starts before the first message. Use tools like email address validation to catch invalid or risky addresses early. Clean lists reduce the load on your IP’s reputation. For bulk senders, bulk email verification helps identify outdated or low-quality addresses before you send.

New IP Deferred: Are You in a Reputation Black Hole?

When Gmail returns a "new IP deferred" error after an IP change, it's not about the email address—it’s about sender reputation. New IPs lack trust signals, and Gmail treats them as suspicious until proven otherwise, especially if they’ve been linked to spam or high bounce rates before. Without a clean history, low engagement, or prior volume, Gmail holds your messages in quarantine until reputation stabilizes, which can take hours to days depending on volume and alignment with deliverability standards.

Why New IPs Trigger Gmail’s Trust Gate

Gmail applies an immediate trust check on any IP that’s newly active or previously associated with poor sending behavior. This isn't about the email address—it’s about your sender identity. If the IP hasn't demonstrated consistent, low-bounce, high-engagement sending over time, Gmail assumes it’s high-risk. This is standard practice; the SMTP RFC allows receivers to reject or delay mail from unverified sources, and Gmail enforces this with its own reputation scoring.

Reputation isn’t just a black-and-white score. It’s shaped by volume, engagement (opens, clicks), bounce types, spam complaints, and even how quickly you scale. If you jump from zero to 100K emails overnight on a new IP, Gmail sees that as a red flag—especially if your content or list quality hasn’t been vetted.

How Long Does the Delay Last?

There's no fixed timeline. It can last a few hours if you’re sending small volumes to engaged users with clean lists. But on a new IP with a questionable past or poor list hygiene, the delay can stretch to several days. This isn’t a system failure—it’s a filter designed to protect end users. Feedback loops (FBLs) and real-time bounce monitoring help Gmail adjust trust levels, but you must meet those conditions first.

Let’s be clear: you can’t force Gmail to trust you. You can only earn it. This means warming up your IP with low volume, gradually increasing sends, and ensuring your content and list source are reliable. Tools like bulk email verification help you eliminate invalid addresses before sending, which reduces bounces and improves reputation from day one. The same applies to sender alignment—using proper SPF, DKIM, and DMARC helps Gmail recognize you as legitimate.

If you're seeing "new IP deferred" errors, the fix isn’t changing addresses—it’s proving your sender identity through consistent, clean, and engaged sending. Reputation rebuilds slowly. But with the right tools and discipline, you can get back to inbox delivery without waiting weeks.

How to Recover from Gmail 4.7.28 After IP Change

After switching IPs, Gmail’s 4.7.28 rejection means your new IP is untrusted. Confirm your sender reputation with a real-time email verification tool that checks SPF, DKIM, and DMARC. Clean your list using a bulk verification tool to remove invalid addresses, role accounts, and disposable domains. Warm up the new IP slowly—start with 50–100 emails per day, increasing gradually over 7–10 days. Check Spamhaus, MxToolbox, or Google Postmaster Tools to ensure the IP isn’t on any blocklists. Monitor inbox placement and adjust content, authentication, and sending volume based on feedback.

Step-by-step IP Recovery Process

  1. Verify your sender reputation immediately—use a service like MailTester’s email checker to validate SPF, DKIM, and DMARC records for your domain. A misconfigured setup can trigger Gmail’s 4.7.28 filter even with a clean IP. This step confirms the foundation of trust.
  2. Clean your email list in bulk—run your entire list through a bulk verification tool. Remove known invalid addresses, role accounts (like admin@, sales@), and disposable domains. These are flagged by Gmail quickly and hurt deliverability. A clean list is your strongest defense.
  3. Warm up the new IP gradually—start sending 50–100 emails per day to engaged users. Increase volume no more than 20–30% per day over 7 to 10 days. Sudden spikes look suspicious to Gmail's algorithms. This builds sender reputation slowly and safely.
  4. Check blocklist status—verify your IP isn’t blacklisted using Spamhaus or MxToolbox. If listed, follow their delisting process. Google Postmaster Tools can also show if your IP is under suspicion.
  5. Monitor inbox placement and behavior—use inbox placement testing to see if emails land in inboxes or spam. If placement drops, pause and audit your email content, authentication, and sending schedule. Gmail evaluates both technical setup and engagement signals.

Why This Works

Gmail’s 4.7.28 error isn’t about the IP itself—it’s about perceived risk. Your new IP has no track record, so Gmail relies on sender reputation, list quality, and sending behavior to decide. You’re not fighting a rule; you’re rebuilding trust.

According to RFC 5321, mail servers assess reputation through historical engagement and technical compliance. The same principles apply here: clean lists, proper authentication, and gradual volume increase are industry-standard practices. The goal isn’t to bypass filters—it’s to meet them with verified, trustworthy signals.

Why Real-Time Email Verification Is the First Fix for IP Changes

After changing your IP address, the first step isn’t warming up your new IP — it’s ensuring your email list has only valid, deliverable addresses. Sending to invalid or risky addresses immediately after an IP shift can trigger spam filters and damage sender reputation before you’ve even begun. Use real-time email verification to confirm deliverability before sending, and catch issues like catch-all domains, disposable emails, or invalid syntax before they cause bounces.

Pre-Warming Cleanliness Saves Time and Reputation

When you migrate to a new IP, your sending reputation starts from zero. Every bounce, failure, or spam complaint resets that trust. Sending to even a few invalid addresses during the warm-up phase can signal to ISPs that your list is poorly maintained. That’s why clean data is not a luxury — it’s a prerequisite.

MailTester’s real-time verification API checks every email against actual SMTP servers, confirming validity, detecting catch-all domains, and flagging disposable or high-risk addresses. Unlike tools that use heuristics or outdated databases, this method checks actual delivery behavior at the MX level. With 98.9% accuracy, it stops poor-quality contacts from ever reaching inbox filters or blacklists.

Use It Before the Migration — Not After

Think of verification as a pre-flight check for your email campaign. Run it on your list before switching IPs. You’re not just cleaning data — you’re protecting your sender reputation from day one. This means fewer hard bounces, lower bounce rates, and smoother inbox placement across Gmail, Yahoo, and other major providers.

Integrate MailTester’s API directly into your sending workflow. You can check every address in real time as you add it to campaigns. This is especially useful in platforms like Mailchimp, HubSpot, Klaviyo, or SendGrid — where clean data means fewer delivery issues and better long-term performance. You’ll see measurable reductions in bounce rates and improvements in deliverability after the IP change.

For one-time checks, use the email checker to test individual addresses. For bulk operations, run full list verification with bulk verification, which returns a detailed report showing valid, invalid, risky, and catch-all addresses.

SMTP verification practices are an industry-standard foundation for deliverability. As outlined in RFC 5321, SMTP defines how mail transfer works — and verification at this level is the most reliable way to assess email validity before sending.

Bulk List Verification: How to Prepare High-Quality Campaigns After IP Move

You can’t just send emails from a new IP without cleaning your list first. Gmail and other major providers aggressively filter senders that aren’t consistent with sender reputation. A bulk verification step ensures you’re only sending to valid, inbox-ready addresses—removing invalid, role-based, and disposable emails—which reduces bounce rates, prevents blacklisting, and improves inbox placement. This is the critical first step after switching IPs.

  1. Upload your full list to MailTester’s bulk verification tool. This runs a full technical check on every address using real-time SMTP, MX, and DNS lookups. It’s the only way to know which emails are truly deliverable. You’ll get results in minutes, not days. Check your list with full accuracy.
  2. Review the detailed verdicts in the report. Each email gets assigned one of four statuses: valid (safe to send), invalid (undeliverable or non-existent), catch-all (accepts all addresses—risky), or risky (likely temporary or disposable). These aren’t guesses. They’re based on actual email server responses and real-time behavior.
  3. Remove all invalid addresses. These are the ones that will hard bounce—triggering sender reputation drops and potentially getting your new IP blocked. The RFC 5321 standard defines how MTAs handle non-existent recipients, and ignoring them breaks deliverability fundamentals.
  4. Filter out role addresses and disposable domains. Addresses like admin@, sales@, or support@ often don’t represent real users and can skew engagement metrics. Disposable domains (e.g. tempmail.org, throwawaymail.com) are almost always non-responsive and signal poor list hygiene. Industry guidelines from the IETF's RFC 5322 note that such addresses are frequently used for spam and are often rejected by modern filtering systems.
  5. Send only validated, inbox-ready addresses to your new IP. This reduces immediate hard bounces, prevents premature blacklisting, and aligns your sending behavior with how major providers like Gmail expect new IPs to behave—low volume, clean list, and high engagement.

Why This Works After an IP Change

When you change IPs, you lose the trust built over time. The new IP has no sender history, so inbound providers must assess your legitimacy based on list quality. Sending to a clean, verified list reduces signal noise. Gmail, in particular, uses sender reputation and engagement patterns heavily to determine inbox placement—clean lists lead to cleaner signals.

Use the Right Tools for Every Step

Bulk verification is the foundation. For ongoing checks, integrate the verification API with your CRM or marketing platform to scrub new signups in real time. Test campaign deliverability before sending with our inbox placement tool. The goal isn’t just to send—it’s to send successfully, and keep doing it.

Gmail’s IP Behavior is Not Static — What’s Normal vs. Problematic

When you switch to a new IP address, seeing a handful of 4.7.28 errors in the first 48 hours is normal—Gmail is testing your sending behavior during warm-up. Persistent errors beyond that window suggest the IP lacks reputation or has poor historical sending patterns. If bounce rates remain above 1% after your first week, it’s time to audit your list hygiene, engagement, or sender reputation. A sudden surge in 4.7.28 messages often means the new IP has been flagged by automated systems due to abuse by spammers. This isn’t a configuration fix—it’s a reputation issue that must be resolved with time and clean sending.

The First 48 Hours: Testing, Not Blocking

Let’s be clear: Gmail does not instantly block new IPs. During warm-up, it sends a few 4.7.28 errors intentionally to observe how you respond. This is part of Gmail’s anti-abuse system, designed to filter out misbehaving senders before they cause real harm. The RFC 5321 standard outlines how MX servers handle delivery errors, including temporary ones like 4.7.28—which are meant to signal temporary problems, not permanent rejection. If errors stop after 48 hours and deliverability improves, you’re on track.

When Errors Don’t Stop: Signs of a Problem

If 4.7.28 errors continue past the first two days, your new IP likely has no trusted sending history. This can happen if the IP was previously used for spam or if it shares a range with known bad actors. Gmail uses aggregate sender reputation data—meaning your IP’s past behavior, even from other users, influences your current access. If you’re hitting a high bounce rate (above 1%) after the first week, that’s a red flag. It suggests your list may include outdated, fake, or role-based addresses. Tools like bulk email list verification can help identify and remove these before they hurt sender reputation.

A sudden spike in 4.7.28 errors—especially if unrelated to list changes—suggests the IP range is currently under suspicion. Spammers often reuse IP addresses in bursts. If Gmail detects this pattern, it throttles the whole range temporarily. You can’t fix this overnight; the only real remedy is time and consistent, legitimate sending. Monitor your deliverability with inbox placement tests—using tools like real inbox testing—to confirm if your messages are landing in the primary inbox or being quarantined.

The Real Cost of Skipping List Hygiene After an IP Change

You risk damaging your sender reputation, triggering higher bounces, and slowing your IP warm-up process by sending to unverified email lists after an IP change. A fresh IP is trusted by Gmail and other major inboxes only through consistent, low-risk behavior—sending to invalid, role-based, or dormant addresses weakens that trust from day one. Without a clean list, even one misdelivered email can be flagged as spam, especially during the initial reputation-building phase. Once Gmail’s algorithms start seeing low engagement or high bounces, recovery is difficult, if not impossible.

Why Invalid Addresses Harm Your Fresh IP

When you switch IPs, Gmail treats your new address as unproven. Every message sent should be to a valid, engaged recipient. Sending to invalid or role-based addresses—like admin@ or sales@—isn’t just wasteful; it signals poor list management. Gmail uses engagement signals to assess sender trust. If a message goes to a role account that never opens it, or an invalid inbox that bounces, the system interprets that as low quality. This isn’t a temporary signal; it sticks with the IP for weeks.

Even a small number of bounces can trigger filtering. For example, a single hard bounce from an unverified address on a fresh IP can be enough to cause Gmail to pause delivery to thousands of other addresses during warm-up. This is especially true for IPs previously associated with spam or high bounce rates. You're not testing volume—you're testing trust. And trust is built on verifiable data, not assumptions.

The Long-Term Consequences of Skipping Verification

Many senders believe they can "fix it later" once an IP warms up. But warm-up isn’t a fix—it’s a recovery process. If you start with a polluted list, you’re not warming up; you’re retraining Gmail to distrust you. The longer you delay verification, the more your deliverability curve flattens. A study by Return Path (now Validity) found that senders with low engagement rates consistently underperformed in inbox placement, even after weeks of effort. The damage is cumulative.

If you must send from a new IP, clean your list first. Use real-time email verification to catch invalid, role-based, or disposable addresses before sending. Tools like MailTester’s bulk verification can process thousands of addresses in minutes and flag risky patterns—like multiple role accounts in a single list or high concentrations of free domains. It’s not just about removing bad emails; it’s about signaling discipline to Gmail’s algorithms.

Let’s be clear: You don’t earn trust by sending fast. You earn it by sending right. And right starts with a clean list. Without verification, you’re not launching a campaign—you’re launching a reputation risk.

Integrations That Help After an IP Change: Mailchimp, SendGrid, Klaviyo

You can integrate MailTester directly with Mailchimp, SendGrid, and Klaviyo to verify your email list before uploading it to your new IP. This ensures you only send to confirmed addresses, minimizing delivery risks during a transition. Automated list checks help you avoid sending to invalid or risky addresses that could trigger spam filters or harm your sender reputation.

Verify Before You Send

After changing IPs, you’re vulnerable to increased bounce rates and inbox placement issues—especially if your list contains outdated or typo-ridden addresses. By connecting MailTester to your marketing platform, you can validate the entire list before a campaign launch. This step is non-negotiable: even one bad address can trigger a red flag with email providers like Gmail, which monitors sender behavior closely.

Use the integration to run bulk verification on your Mailchimp audience, SendGrid list, or Klaviyo segment before sending. You’ll get real-time feedback on whether addresses are valid, catch-all, risky, or temporary—enabling you to clean your list before it hits a new IP. This reduces soft bounces, prevents hard bounces from degrading your sender reputation, and improves overall deliverability. Learn more about bulk verification.

Automate Verification Workflows

Let’s say you’re running new campaigns post-IP change. You’ll want to verify not just your core list but also new signups or segmented groups. MailTester’s integrations let you set up automated workflows that verify new leads or segments automatically. This avoids manual checks and keeps your sending hygiene consistent.

For real-time validation on user signups, you can embed the verification API into your form workflow. This checks an email address immediately as a user signs up, catching typos or disposable domains before they enter your system. This proactive step reduces the number of invalid addresses waiting to be sent from your new IP.

These integrations aren’t a substitute for proper email authentication (SPF, DKIM, DMARC), but they’re a crucial layer of defense. A clean list reduces the chance of being flagged for spamming behavior. According to RFC 5321, mail servers may reject or delay messages from new IPs if they receive high volumes of bounces. That’s why validating your list before sending makes the difference between a smooth transition and inbox placement failure. See RFC 5321 for standard SMTP behavior.

Use Inbox Placement Tests to Validate Your IP Warm-Up

After changing your sending IP, send small batches of 50–100 emails and run Inbox Placement Tests to see if Gmail delivers them to inboxes, spam, or blocks them entirely. This real-world check reveals whether your warm-up is working, before you scale. Adjust your content, subject lines, or sending times based on results—only increase volume when inbox placement stabilizes.

Test Your Warm-Up Progress in Real Gmail Environments

Even with correct SPF, DKIM, and DMARC, your IP might still be flagged if it’s new or recently changed. The only way to know is to test it in real user inboxes.

Use MailTester’s Inbox Placement feature to send to known spam traps, real user accounts, and multiple Gmail servers. The results show exactly how Gmail handles your messages—not just if they’re delivered, but where they land.

You're not just checking for bounce errors. You’re testing whether Gmail trusts your sender identity. A single spam folder placement can hurt your reputation before you send a single message.

  1. Send test batches of 50–100 messages from your new IP using tools like Mailchimp or SendGrid. Choose diverse but high-intent recipient domains (e.g., @gmail.com, @outlook.com, not just role accounts).
  2. Run an inbox placement test with MailTester to simulate what real Gmail users would see. This checks delivery, inbox placement, spam marking, and bounce types across multiple inboxes.
  3. Review results across Gmail’s inbox, spam, and blocked categories. If more than 10% land in spam, your message pattern—timing, content, or layout—may be triggering filters.
  4. Adjust your strategy based on data. Try simpler subject lines. Avoid spam trigger words like “free” or “urgent.” Test sending at different times of day.
  5. Repeat the test after each change. Consistent inbox placement over 3–5 tests means you can slowly increase volume—start with another 50–100, then double, and so on.

Don’t trust reputation scores or blacklists alone. Many IPs with clean scores still get filtered. The final gatekeeper is Gmail's real-time behavior-based system—what they call “sender reputation.”

Think of it like a medical test: you need a live diagnosis, not just a blood test. The Spamhaus Project and RFC 6655 describe how spam detection works, but only real-world testing shows how your messages fare today.

If you're already sending large volumes, use MailTester’s Inbox Placement Tester to validate warm-up and avoid sender reputation penalties after an IP change.

You Don’t Have to Wait – Start Fixing Today

Deliverability issues like Gmail’s 4.7.28 after an IP change don’t resolve themselves. They require deliberate action: verifying every email address on your list, removing invalid ones, and building sender trust from the ground up.

Start Cleaning Your List Today

Your new IP address has no reputation. It needs clean data, not luck. Every undeliverable email or bounce reduces trust and increases the chance of filtering.

  • MailTester gives you 100 free verifications to clean your list immediately.
  • Purchased credits never expire—use them as your campaigns scale.
  • Prevent 4.7.28 errors from escalating into long-term deliverability failures.

Sources

Keep reading

Ready to put this into practice? MailTester verifies emails with 98.9% accuracy — start with 100 free verifications.

Frequently asked questions

What does Gmail 4.7.28 mean after an IP change?

It means Gmail deferred delivery due to the new IP’s unverified reputation. It's a temporary rejection, not a bounce.

How long does Gmail 4.7.28 last after an IP change?

It can last from a few hours to several days, depending on reputation, sending volume, and engagement history.

Can a new IP cause Gmail to reject all emails?

Yes — if the IP is untrusted, has poor history, or is shared with spammers, Gmail will block or defer all new emails.

Should I verify emails after changing my IP?

Yes — always verify your list after IP change to eliminate invalid addresses that can hurt deliverability.

Does MailTester help fix IP warming?

Yes — by cleaning your list, MailTester ensures only valid addresses are sent, improving engagement and reputation.

What happens if I skip list hygiene after IP migration?

High bounce rates and low engagement can permanently damage sender reputation, delaying or blocking inbox placement.

Can MailTester detect disposable email addresses?

Yes — using real-time verification and domain intelligence, it flags disposable domains with high accuracy.

How do I know if my new IP is blocked by Gmail?

Use tools like Google Postmaster Tools or MailTester to check IP reputation, DNS records, and inbox placement.

Is 98.9% accuracy real for MailTester?

Yes — MailTester’s verification accuracy is 98.9%, based on real-world SMTP testing and validation across millions of addresses.

Can I use MailTester without a list?

Yes — use the API to verify addresses in real time, or test inbox placement with just 10–20 test emails.

Do MailTester credits expire?

No — purchased credits never expire, so you can use them as your sending volume increases.

Which tools does MailTester integrate with?

MailTester integrates with Mailchimp, SendGrid, HubSpot, and Klaviyo — enabling automated list verification.